<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetLevelsRequirement](./bitburner.hacknetlevelsrequirement.md)

## HacknetLevelsRequirement interface

Player's Hacknet devices must have at least this many total levels.

**Signature:**

```typescript
interface HacknetLevelsRequirement 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [hacknetLevels](./bitburner.hacknetlevelsrequirement.hacknetlevels.md) |  | number |  |
|  [type](./bitburner.hacknetlevelsrequirement.type.md) |  | "hacknetLevels" |  |

